FedoraForum.org

FedoraForum.org (http://forums.fedoraforum.org/index.php)
-   Using Fedora (http://forums.fedoraforum.org/forumdisplay.php?f=7)
-   -   I used the i386 install DVD. Fedora wants me to install i686 updates. (http://forums.fedoraforum.org/showthread.php?t=254316)

blackplague1347 11th November 2010 10:27 PM

I used the i386 install DVD. Fedora wants me to install i686 updates.
 
Can I do this? I'm using the add/remove software program to update software. In parentheses after the file it always says either (i686) or (noarch). I don't know what these things are nor if I'm capable of using them. I tried to begin installing the updates, but I get errors, beginning with the very first thing on the list (ACPI Event Daemon).

I forget what the error message is offhand. If you need it, let me know and I'll try to run it again and get it. I'd do it now, but "p k" is running, so it won't run the update installer.

marko 11th November 2010 10:30 PM

Re: I used the i386 install DVD. Fedora wants me to install i686 updates.
 
I think you really used the i686 install dvd for Fedora 14, there is no i386 install DVD for Fedora anymore.

So it's the expected thing for the updater to grab i686 packages.

blackplague1347 11th November 2010 10:37 PM

Re: I used the i386 install DVD. Fedora wants me to install i686 updates.
 
Quote:

Originally Posted by marko (Post 1415500)
I think you really used the i686 install dvd for Fedora 14, there is no i386 install DVD for Fedora anymore.

So it's the expected thing for the updater to grab i686 packages.

Interesting. What might this be then?
http://download.fedoraproject.org/pu...4-i386-DVD.iso

DBelton 11th November 2010 10:40 PM

Re: I used the i386 install DVD. Fedora wants me to install i686 updates.
 
the i386 covers all 32 bit intel architecture installs. it's i386 for 32 bit, x86_64 for 64 bit.

The install is marked i386, but if you looks at the individual packages installed, they are the i686 packages. You are getting the correct updates :)

as far as the errors you are getting, I would need to know the actual errors envountered before saying much about what might be causing them.

marko 11th November 2010 10:47 PM

Re: I used the i386 install DVD. Fedora wants me to install i686 updates.
 
Quote:

Originally Posted by blackplague1347 (Post 1415505)
Interesting. What might this be then?
http://download.fedoraproject.org/pu...4-i386-DVD.iso

That's just the filename having i386 in the name not to confuse people, the packages inside are all i686 based.

blackplague1347 11th November 2010 10:58 PM

Re: I used the i386 install DVD. Fedora wants me to install i686 updates.
 
Ahh, okay.

Erm, I don't know why but the software update is running smoothly this time. Not sure what happened. I didn't do anything differently from the times I got error messages, but it appears to be working.

After it's done (just in case), I'll update this topic to [SOLVED] status.

Thanks, folks.


All times are GMT +1. The time now is 12:42 PM.

Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2014, vBulletin Solutions, Inc.